---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libgf01t001.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x50A40, symBinAddr: 0xC310, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x52980, symBinAddr: 0xE250, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x52D70, symBinAddr: 0xE640, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x53D10, symBinAddr: 0xF5E0, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x53D20, symBinAddr: 0xF5F0, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x50590, symBinAddr: 0xC0A0, symSize: 0x0 }
  - { offsetInCU: 0x7C9, offset: 0x7C9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x50594, symBinAddr: 0xC0A4, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x50598, symBinAddr: 0xC0A8, symSize: 0x0 }
  - { offsetInCU: 0x819, offset: 0x819, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x506F0, symBinAddr: 0xC0B0, symSize: 0x0 }
  - { offsetInCU: 0x892, offset: 0x892, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x507A8, symBinAddr: 0xC168, symSize: 0x0 }
  - { offsetInCU: 0x8B0, offset: 0x8B0, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x507AC, symBinAddr: 0xC16C, symSize: 0x0 }
  - { offsetInCU: 0x8C9, offset: 0x8C9, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x507B0, symBinAddr: 0xC170, symSize: 0x0 }
  - { offsetInCU: 0x8E2, offset: 0x8E2, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x507B4, symBinAddr: 0xC174, symSize: 0x0 }
  - { offsetInCU: 0x8FB, offset: 0x8FB, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x507B8, symBinAddr: 0xC178, symSize: 0x0 }
  - { offsetInCU: 0x8EEA, offset: 0x8EEA, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x507C0, symBinAddr: 0xC180, symSize: 0x0 }
  - { offsetInCU: 0x8F73, offset: 0x8F73, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x507D0, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x8F8C, offset: 0x8F8C, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x507D8, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x8FA5, offset: 0x8FA5, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x507E0, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x8FBE, offset: 0x8FBE, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x507E8, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x8FD7, offset: 0x8FD7, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x507F0, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x8FF1, offset: 0x8FF1, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x507F8, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x90D7, offset: 0x90D7, size: 0x8, addend: 0x0, symName: __ZL6result, symObjAddr: 0x5083C, symBinAddr: 0xC1CC, symSize: 0x0 }
  - { offsetInCU: 0x90F7, offset: 0x90F7, size: 0x8, addend: 0x0, symName: __ZL9callbacks, symObjAddr: 0x50840, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0x9149, offset: 0x9149, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0x3760, symSize: 0x80 }
  - { offsetInCU: 0x91DE, offset: 0x91DE, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0x36B0, symSize: 0xB0 }
  - { offsetInCU: 0x9239, offset: 0x9239, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0x35B0, symSize: 0x100 }
  - { offsetInCU: 0x94CC, offset: 0x94CC, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x580, symBinAddr: 0x37E0, symSize: 0xC0 }
  - { offsetInCU: 0x951E, offset: 0x951E, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0x38A0, symSize: 0x220 }
  - { offsetInCU: 0x9703, offset: 0x9703, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0x3AC0, symSize: 0xA0 }
  - { offsetInCU: 0x97B6, offset: 0x97B6, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0x3B60, symSize: 0x110 }
  - { offsetInCU: 0x98AC, offset: 0x98AC, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x3C70, symSize: 0x150 }
  - { offsetInCU: 0x9A09, offset: 0x9A09, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x3DC0, symSize: 0x30 }
  - { offsetInCU: 0x9AEA, offset: 0x9AEA, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1CC0, symBinAddr: 0x3DF0, symSize: 0x150 }
  - { offsetInCU: 0x9CE2, offset: 0x9CE2, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1E10, symBinAddr: 0x3F40, symSize: 0x160 }
  - { offsetInCU: 0x9FA2, offset: 0x9FA2, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x22A0, symBinAddr: 0x40A0, symSize: 0x4A0 }
  - { offsetInCU: 0xA215, offset: 0xA215, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x29F0, symBinAddr: 0x4540, symSize: 0x1B0 }
  - { offsetInCU: 0xA430, offset: 0xA430, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2BA0, symBinAddr: 0x46F0, symSize: 0xA0 }
  - { offsetInCU: 0xA4FF, offset: 0xA4FF, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2F10, symBinAddr: 0x4790, symSize: 0x20 }
  - { offsetInCU: 0xA536, offset: 0xA536, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2F30, symBinAddr: 0x47B0, symSize: 0x20 }
  - { offsetInCU: 0xA56D, offset: 0xA56D, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2F50, symBinAddr: 0x47D0, symSize: 0x20 }
  - { offsetInCU: 0xA6DC, offset: 0xA6DC, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3660, symBinAddr: 0x47F0, symSize: 0x1A0 }
  - { offsetInCU: 0xA9F8, offset: 0xA9F8, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x3800, symBinAddr: 0x4990, symSize: 0x130 }
  - { offsetInCU: 0xABA8, offset: 0xABA8, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DD0, symBinAddr: 0x4AC0, symSize: 0x80 }
  - { offsetInCU: 0xAC71, offset: 0xAC71, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E50, symBinAddr: 0x4B40, symSize: 0x6A0 }
  - { offsetInCU: 0xB806, offset: 0xB806, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA360, symBinAddr: 0x6030, symSize: 0xB0 }
  - { offsetInCU: 0xB87D, offset: 0xB87D, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x44F0, symBinAddr: 0x51E0, symSize: 0x70 }
  - { offsetInCU: 0xB919, offset: 0xB919, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5200, symBinAddr: 0x5250, symSize: 0xA0 }
  - { offsetInCU: 0xBA24, offset: 0xBA24, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x6030, symBinAddr: 0x52F0, symSize: 0x40 }
  - { offsetInCU: 0xBB1A, offset: 0xBB1A, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6070, symBinAddr: 0x5330, symSize: 0x2B0 }
  - { offsetInCU: 0xBEC0, offset: 0xBEC0, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x6320, symBinAddr: 0x55E0, symSize: 0xC0 }
  - { offsetInCU: 0xC006, offset: 0xC006, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x63E0, symBinAddr: 0x56A0, symSize: 0x10 }
  - { offsetInCU: 0xC0C8, offset: 0xC0C8, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x63F0, symBinAddr: 0x56B0, symSize: 0x220 }
  - { offsetInCU: 0xC3C5, offset: 0xC3C5, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x9C00, symBinAddr: 0x58D0, symSize: 0x10 }
  - { offsetInCU: 0xC422, offset: 0xC422, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x9C10, symBinAddr: 0x58E0, symSize: 0x2C0 }
  - { offsetInCU: 0xC783, offset: 0xC783, size: 0x8, addend: 0x0, symName: __ZL10checkPropsP9_jvmtiEnvPKc, symObjAddr: 0x9F20, symBinAddr: 0x5BF0, symSize: 0x3E0 }
  - { offsetInCU: 0xCB9B, offset: 0xCB9B, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x9ED0, symBinAddr: 0x5BA0, symSize: 0x10 }
  - { offsetInCU: 0xCBF8, offset: 0xCBF8, size: 0x8, addend: 0x0, symName: _VMInit, symObjAddr: 0x9EE0, symBinAddr: 0x5BB0, symSize: 0x40 }
  - { offsetInCU: 0xCCDB, offset: 0xCCDB, size: 0x8, addend: 0x0, symName: _VMDeath, symObjAddr: 0xA300, symBinAddr: 0x5FD0, symSize: 0x50 }
  - { offsetInCU: 0xCD34, offset: 0xCD34, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_general_1functions_GF01_gf01t001_check, symObjAddr: 0xA350, symBinAddr: 0x6020, symSize: 0x10 }
  - { offsetInCU: 0xCD69, offset: 0xCD69, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA410, symBinAddr: 0x60E0, symSize: 0x36A }
...
